[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

UPDATE: snort-2.4.4



The Snort Team is pleased to announce the availability of Snort v2.4.4.
This release fixes an issue where under certain conditions the frag3
preprocessor will not properly defragment fragmented IP packets.
Improvements have also been made to stream4 and also a fix for Snort in
inline mode. Numerous other improvements are detailed in the changlog
for this release.

Index: net/snort/Makefile
===================================================================
RCS file: /cvs/ports/net/snort/Makefile,v
retrieving revision 1.42
diff -u -p -r1.42 Makefile
--- net/snort/Makefile	4 Feb 2006 13:15:42 -0000	1.42
+++ net/snort/Makefile	10 Mar 2006 19:53:50 -0000
@@ -2,7 +2,7 @@
 
 COMMENT=	"highly flexible sniffer/NIDS"
 
-DISTNAME=	snort-2.4.3
+DISTNAME=	snort-2.4.4
 CATEGORIES=	net security
 MASTER_SITES=	${HOMEPAGE}/dl/current/
 
Index: net/snort/distinfo
===================================================================
RCS file: /cvs/ports/net/snort/distinfo,v
retrieving revision 1.10
diff -u -p -r1.10 distinfo
--- net/snort/distinfo	4 Feb 2006 13:15:42 -0000	1.10
+++ net/snort/distinfo	10 Mar 2006 19:53:50 -0000
@@ -1,4 +1,4 @@
-MD5 (snort-2.4.3.tar.gz) = 5c3c8c69f2459bbe0c1f2057966c88a7
-RMD160 (snort-2.4.3.tar.gz) = 1cba0a9d843da1cfa8c8dbaae5b18a16574cb7d2
-SHA1 (snort-2.4.3.tar.gz) = 5b38b558b73252c048f23dba2499bcd902ebdd9e
-SIZE (snort-2.4.3.tar.gz) = 2733590
+MD5 (snort-2.4.4.tar.gz) = 9dc9060d1f2e248663eceffadfc45e7e
+RMD160 (snort-2.4.4.tar.gz) = 5c0ff9aafdb083438cb10e82bdcdba43f806f86e
+SHA1 (snort-2.4.4.tar.gz) = 80783bfae2854c8cb9d604747251ba584522a053
+SIZE (snort-2.4.4.tar.gz) = 2825187
Index: net/snort/patches/patch-configure
===================================================================
RCS file: /cvs/ports/net/snort/patches/patch-configure,v
retrieving revision 1.2
diff -u -p -r1.2 patch-configure
--- net/snort/patches/patch-configure	4 Feb 2006 13:15:42 -0000	1.2
+++ net/snort/patches/patch-configure	10 Mar 2006 19:53:50 -0000
@@ -1,7 +1,7 @@
 $OpenBSD: patch-configure,v 1.2 2006/02/04 13:15:42 david Exp $
---- configure.orig	Mon Oct 17 08:50:23 2005
-+++ configure	Tue Jan  3 23:41:30 2006
-@@ -7884,20 +7884,20 @@ fi
+--- configure.orig	Wed Mar  8 15:38:24 2006
++++ configure	Thu Mar  9 09:03:15 2006
+@@ -8397,20 +8397,20 @@ fi
  # Check whether --enable-flexresp or --disable-flexresp was given.
  if test "${enable_flexresp+set}" = set; then
    enableval="$enable_flexresp"
@@ -27,7 +27,7 @@ $OpenBSD: patch-configure,v 1.2 2006/02/
      { echo "$as_me:$LINENO: WARNING: are using a precompiled package please notify the" >&5
  echo "$as_me: WARNING: are using a precompiled package please notify the" >&2;}
      { echo "$as_me:$LINENO: WARNING: maintainer." >&5
-@@ -8069,7 +8069,7 @@ echo $ECHO_N "checking for libnet versio
+@@ -8590,7 +8590,7 @@ echo $ECHO_N "checking for libnet versio
        libnet_dir="/usr/include /usr/local/include /sw/include"
      fi
    else